/* -------- Shared CSS between pages -------- */

html, body {
    font-size: 1em;
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 0;
}

#logo {
    font-size: 3em;
    padding: 2em;
    margin: 2em;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-weight: bold;
    text-align: center;
    box-sizing: border-box;
}

nav {
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #333;
    min-height: 8vh;
}

.page-link {
    font-size: 1em;
    background-color: transparent;
    border-style: none;
    font-weight: bold;
    color: #efefef;
    padding: 1em;
}

main {
    max-width: 1200px;
    margin: 0 auto;
    box-sizing: border-box;
    min-height: 50vh;
    margin-bottom: 10vh;
}

footer {
    background: #333;
    padding: 2em;
    margin: 0 auto;
    color: white;
    display: flex;
    text-align: center;
    justify-content: center;
    bottom: 0;
    position: fixed;
    min-width: 100%;
}

:focus {
    outline: none;
}

a :hover, button :hover {
    cursor: pointer;
}

h1 {
    text-align: center;
    margin: 1.5em
}

/* -------- Display entries (index) -------- */

#entries {
display: grid;
grid-template-columns: 1fr 1fr;
grid-template-rows: 1fr;
grid-gap: 2em;
}

.post {
    color: #000033;
    grid-column: 1fr;
    grid-row: 1fr;
}

/* -------- Categories / Journals -------- */

/* -------- Create entry -------- */

form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

label {
    box-sizing: border-box;
    font-family: inherit;
    font-size: 1em;
}

select, input, textarea, #submit-btn {
    box-sizing: border-box;
    font-family: inherit;
    font-size: 1em;
    padding: 0.3em;
    width: 15em;
    border-radius: 0.5em;
    margin: 1em;
}

::placeholder {
    padding: 0.2em;
    color: #333;
}

#title {
    min-width: 40vw;
    padding: 0.5em;
}

textarea {
    min-width: 40vw;
    min-height: 20vw;
}

#submit-btn {
    width: 40vw;
    height: 3em;
    font-weight: bold;
    background-color: #000033;
    color: #efefef;
}